package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFX79 extends MwfRequest<MWFX79, MWFX79Response> {

    @Parameter(name = "ACCOUNT_KEY")
    MWFX79 accountKey(Long accountKey);
    @Parameter(name = "ACCOUNT_NUMBER")
    MWFX79 accountNumber(String accountNumber);
    @Parameter(name = "APP_KEY")
    MWFX79 appKey(Long appKey);
    @Parameter(name = "CO")
    MWFX79 co(String co);
    @Parameter(name = "CONTACT_ADDRESA_DOC_KEY")
    MWFX79 contactAddresaDocKey(Long contactAddresaDocKey);
    @Parameter(name = "CONTACT_ADDRESA_KEY")
    MWFX79 contactAddresaKey(Long contactAddresaKey);
    @Parameter(name = "CONTACT_CO")
    MWFX79 contactCo(String contactCo);
    @Parameter(name = "CONTACT_CP")
    MWFX79 contactCp(String contactCp);
    @Parameter(name = "CONTACT_Obec")
    MWFX79 cONTACTObec(String cONTACTObec);
    @Parameter(name = "CONTACT_PHONE_KEY")
    MWFX79 contactPhoneKey(Long contactPhoneKey);
    @Parameter(name = "CONTACT_PSC")
    MWFX79 contactPsc(String contactPsc);
    @Parameter(name = "CONTACT_Telefon")
    MWFX79 cONTACTTelefon(String cONTACTTelefon);
    @Parameter(name = "CONTACT_Ulice")
    MWFX79 cONTACTUlice(String cONTACTUlice);
    @Parameter(name = "CONTACT_Zeme")
    MWFX79 cONTACTZeme(String cONTACTZeme);
    @Parameter(name = "CO_Zamestnavatele")
    MWFX79 cOZamestnavatele(String cOZamestnavatele);
    @Parameter(name = "CP")
    MWFX79 cp(String cp);
    @Parameter(name = "CP_Zamestnavatele")
    MWFX79 cPZamestnavatele(String cPZamestnavatele);
    @Parameter(name = "CastkaPrvnihoCerpani")
    MWFX79 castkaPrvnihoCerpani(Double castkaPrvnihoCerpani);
    @Parameter(name = "CelkovaSplatnaCastka")
    MWFX79 celkovaSplatnaCastka(Double celkovaSplatnaCastka);
    @Parameter(name = "CisloDruhehoDokladu")
    MWFX79 cisloDruhehoDokladu(String cisloDruhehoDokladu);
    @Parameter(name = "CisloOP")
    MWFX79 cisloOP(String cisloOP);
    @Parameter(name = "CistyMesicniPrijem")
    MWFX79 cistyMesicniPrijem(Double cistyMesicniPrijem);
    @Parameter(name = "DatumNastehovaniOD")
    MWFX79 datumNastehovaniOD(java.util.Date datumNastehovaniOD);
    @Parameter(name = "DatumPravidelnePlatby")
    MWFX79 datumPravidelnePlatby(Long datumPravidelnePlatby);
    @Parameter(name = "DruhBydleni")
    MWFX79 druhBydleni(String druhBydleni);
    @Parameter(name = "DruhPojisteni")
    MWFX79 druhPojisteni(String druhPojisteni);
    @Parameter(name = "DruhyDoklad_Zeme")
    MWFX79 druhyDokladZeme(String druhyDokladZeme);
    @Parameter(name = "EMAIL_KEY")
    MWFX79 emailKey(Long emailKey);
    @Parameter(name = "Email")
    MWFX79 email(String email);
    @Parameter(name = "FILTER_VALID_ONLY_FLAG")
    MWFX79 filterValidOnlyFlag(Long filterValidOnlyFlag);
    @Parameter(name = "FIRST_DOCUMENT_ID_KEY")
    MWFX79 firstDocumentIdKey(Long firstDocumentIdKey);
    @Parameter(name = "FormLockStatus")
    MWFX79 formLockStatus(String formLockStatus);
    @Parameter(name = "HrubyRocniPrijem")
    MWFX79 hrubyRocniPrijem(Double hrubyRocniPrijem);
    @Parameter(name = "ICO")
    MWFX79 ico(String ico);
    @Parameter(name = "INST_PT_KEY")
    MWFX79 instPtKey(Long instPtKey);
    @Parameter(name = "Jmeno")
    MWFX79 jmeno(String jmeno);
    @Parameter(name = "KONTEXT")
    MWFX79 kontext(Long kontext);
    @Parameter(name = "MOBILE_PHONE_KEY")
    MWFX79 mobilePhoneKey(Long mobilePhoneKey);
    @Parameter(name = "MesicniPlatbaPojisteni")
    MWFX79 mesicniPlatbaPojisteni(Double mesicniPlatbaPojisteni);
    @Parameter(name = "MesicniPrijemDomacnosti")
    MWFX79 mesicniPrijemDomacnosti(Double mesicniPrijemDomacnosti);
    @Parameter(name = "MesicniSplatka")
    MWFX79 mesicniSplatka(Double mesicniSplatka);
    @Parameter(name = "Mesto")
    MWFX79 mesto(String mesto);
    @Parameter(name = "MistoNarozeni")
    MWFX79 mistoNarozeni(String mistoNarozeni);
    @Parameter(name = "Mobile_Phone")
    MWFX79 mobilePhone(String mobilePhone);
    @Parameter(name = "NazevZamestnavatele")
    MWFX79 nazevZamestnavatele(String nazevZamestnavatele);
    @Parameter(name = "Obec_Zamestnavatele")
    MWFX79 obecZamestnavatele(String obecZamestnavatele);
    @Parameter(name = "OdkladSplatek")
    MWFX79 odkladSplatek(Long odkladSplatek);
    @Parameter(name = "OstatniMesicniSplatky")
    MWFX79 ostatniMesicniSplatky(Double ostatniMesicniSplatky);
    @Parameter(name = "OstatniZivotniNaklady")
    MWFX79 ostatniZivotniNaklady(Double ostatniZivotniNaklady);
    @Parameter(name = "PERMANENT_ADDR_KEY")
    MWFX79 permanentAddrKey(Long permanentAddrKey);
    @Parameter(name = "PERMANENT_PHONE_KEY")
    MWFX79 permanentPhoneKey(Long permanentPhoneKey);
    @Parameter(name = "PRODUCT_CANDIDATE_KEY")
    MWFX79 productCandidateKey(Long productCandidateKey);
    @Parameter(name = "PRODUCT_CANDIDATE_TYPE")
    MWFX79 productCandidateType(String productCandidateType);
    @Parameter(name = "PSC")
    MWFX79 psc(String psc);
    @Parameter(name = "PSC_Zamestnavatele")
    MWFX79 pSCZamestnavatele(String pSCZamestnavatele);
    @Parameter(name = "PlatnostDruhehoDokladu")
    MWFX79 platnostDruhehoDokladu(java.util.Date platnostDruhehoDokladu);
    @Parameter(name = "PlatnostOP")
    MWFX79 platnostOP(java.util.Date platnostOP);
    @Parameter(name = "PocetPrijmu")
    MWFX79 pocetPrijmu(Long pocetPrijmu);
    @Parameter(name = "PocetSplatek")
    MWFX79 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "PocetVyzivovanychOsob")
    MWFX79 pocetVyzivovanychOsob(Long pocetVyzivovanychOsob);
    @Parameter(name = "Poplatek_PoskytnutiUveru")
    MWFX79 poplatekPoskytnutiUveru(Double poplatekPoskytnutiUveru);
    @Parameter(name = "Poplatek_PrichoziTransakce")
    MWFX79 poplatekPrichoziTransakce(Double poplatekPrichoziTransakce);
    @Parameter(name = "Poplatek_VedeniBU")
    MWFX79 poplatekVedeniBU(Double poplatekVedeniBU);
    @Parameter(name = "Poplatek_VedeniUveru")
    MWFX79 poplatekVedeniUveru(Double poplatekVedeniUveru);
    @Parameter(name = "Povolani")
    MWFX79 povolani(String povolani);
    @Parameter(name = "PracovniPomer")
    MWFX79 pracovniPomer(String pracovniPomer);
    @Parameter(name = "Prijmeni")
    MWFX79 prijmeni(String prijmeni);
    @Parameter(name = "PrijmeniRodne")
    MWFX79 prijmeniRodne(String prijmeniRodne);
    @Parameter(name = "Prijmy_Radek101")
    MWFX79 prijmyRadek101(Double prijmyRadek101);
    @Parameter(name = "PrvniDoklad_Zeme")
    MWFX79 prvniDokladZeme(String prvniDokladZeme);
    @Parameter(name = "RC")
    MWFX79 rc(String rc);
    @Parameter(name = "RPSN")
    MWFX79 rpsn(Double rpsn);
    @Parameter(name = "Rezidence")
    MWFX79 rezidence(Long rezidence);
    @Parameter(name = "RodinnyZavod")
    MWFX79 rodinnyZavod(String rodinnyZavod);
    @Parameter(name = "RodinnyZavodPodil")
    MWFX79 rodinnyZavodPodil(Double rodinnyZavodPodil);
    @Parameter(name = "RodinyStav")
    MWFX79 rodinyStav(String rodinyStav);
    @Parameter(name = "SECOND_DOCUMENT_ID_KEY")
    MWFX79 secondDocumentIdKey(Long secondDocumentIdKey);
    @Parameter(name = "SrazkyZeMzdy")
    MWFX79 srazkyZeMzdy(Double srazkyZeMzdy);
    @Parameter(name = "StatniPrislusnost")
    MWFX79 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "Telefon")
    MWFX79 telefon(String telefon);
    @Parameter(name = "Telefon_MOBILE_Zamestnavatele")
    MWFX79 telefonMOBILEZamestnavatele(String telefonMOBILEZamestnavatele);
    @Parameter(name = "Telefon_Zamestnavatele")
    MWFX79 telefonZamestnavatele(String telefonZamestnavatele);
    @Parameter(name = "TypDruhehoDokladu")
    MWFX79 typDruhehoDokladu(String typDruhehoDokladu);
    @Parameter(name = "TypSlevy")
    MWFX79 typSlevy(String typSlevy);
    @Parameter(name = "Ulice")
    MWFX79 ulice(String ulice);
    @Parameter(name = "Ulice_Zamestnavatele")
    MWFX79 uliceZamestnavatele(String uliceZamestnavatele);
    @Parameter(name = "UrokovaSazba")
    MWFX79 urokovaSazba(Double urokovaSazba);
    @Parameter(name = "VydatKartuKUveru")
    MWFX79 vydatKartuKUveru(String vydatKartuKUveru);
    @Parameter(name = "VysePosledniSplatky")
    MWFX79 vysePosledniSplatky(Double vysePosledniSplatky);
    @Parameter(name = "VyseUveru")
    MWFX79 vyseUveru(Double vyseUveru);
    @Parameter(name = "Vzdelani")
    MWFX79 vzdelani(String vzdelani);
    @Parameter(name = "ZAMESTNAVATEL_ADDR_KEY")
    MWFX79 zamestnavatelAddrKey(Long zamestnavatelAddrKey);
    @Parameter(name = "ZAMESTNAVATEL_MOBILE_PHONE_KEY")
    MWFX79 zamestnavatelMobilePhoneKey(Long zamestnavatelMobilePhoneKey);
    @Parameter(name = "ZAMESTNAVATEL_PHONE_KEY")
    MWFX79 zamestnavatelPhoneKey(Long zamestnavatelPhoneKey);
    @Parameter(name = "ZakladDaneZaMinulyRok")
    MWFX79 zakladDaneZaMinulyRok(Double zakladDaneZaMinulyRok);
    @Parameter(name = "ZamestnanDO")
    MWFX79 zamestnanDO(java.util.Date zamestnanDO);
    @Parameter(name = "ZamestnanOD")
    MWFX79 zamestnanOD(java.util.Date zamestnanOD);
    @Parameter(name = "ZdanovaciObdobi")
    MWFX79 zdanovaciObdobi(Long zdanovaciObdobi);
    @Parameter(name = "Zeme")
    MWFX79 zeme(String zeme);
    @Parameter(name = "Zeme_Zamestnavatele")
    MWFX79 zemeZamestnavatele(String zemeZamestnavatele);
    @Parameter(name = "ZuzeneSJM")
    MWFX79 zuzeneSJM(String zuzeneSJM);
}
